Subject: [siprec] Some comments on draft-portman-siprec-protocol-05

From: "Hutton, Andrew" <[email-masked]>
Date: Mon, 18 Jul 2011 17:17:46 +0200

Hi,

I have a few comments on draft-portman-siprec-protocol-05. 

1. The introduction talks about "special attention to reducing size of the required SIP messages" but I don't think we really do this so the statement should be removed. 

2. Definitions - Should also include the definition for "Recording Aware UA".

3. The scope should be expanded to include the CS for indications sent to a recording aware UA.

4. In section 5.1.2 (srs Feature Tag) the last paragraph mentions this use of this tag in an Accept-Contact and Require headers. Similar text should also be included in section 5.1.1 (src Feature Tag) which could be used in the same way to route the request to an SRC.

5. Section 6 "SIP Extensions for Recording-aware UA's" is actually all about SDP and therefore should be renamed to "SDP Extensions ...".

6. Section 6.1 "Providing recording indication". The 1st paragraph talks about an indication that the CS is being recorded however the indication is at the media level in SDP and not at the CS level so we need to change the text to reflect this.

7. I am not sure how we deal with the SDP extensions in terms of getting them reviewed by MMUSIC but would I think be a good idea to change the structure a little to separate the SDP and SIP extensions so that if need be we could split in to separate drafts.

Regards
Andy